<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table24', function (Blueprint $table) {
            $table->id('DatasetTable24Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->string('lat')->nullable();
            $table->string('long')->nullable();
            $table->string('jan')->nullable();
            $table->string('feb')->nullable();
            $table->string('mar')->nullable();
            $table->string('apr')->nullable();
            $table->string('mei')->nullable();
            $table->string('jun')->nullable();
            $table->string('jul')->nullable();
            $table->string('agust')->nullable();
            $table->string('sept')->nullable();
            $table->string('okt')->nullable();
            $table->string('nov')->nullable();
            $table->string('des')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table24s');
    }
};
